#ifndef C0SetCartesianProduct_h
#define C0SetCartesianProduct_h

#include "capd/capdlib.h"
using namespace capd;

//////////////////////////////
// Function: diagonalC0Rect2Set()
//
// Purpose: This function creates a C0Rect2Set of the form:
//    X + C*B,
// where X=(x,y), B=(Bx,By) and C is equal to
//    (A 0)
//    (0 B)
C0Rect2Set diagonalC0Rect2Set(IVector x,IVector y,IMatrix A,IMatrix B,IVector Bx,IVector By);

#endif