#include "C0SetCartesianProduct.h"

IMatrix diagonalMatrix(IMatrix A,IMatrix B)
{
	IMatrix C(6,6);
	for(int i=0;i<3;i++) 
	{
		for(int j=0;j<3;j++) 
		{
			C[i][j]=A[i][j];
			C[i+3][j+3]=B[i][j];
		}
	}
	return C;
}

IVector CartesianProduct(IVector x,IVector y)
{
	IVector z(6);
	for(int i=0;i<3;i++)
	{
		z[i]=x[i];
		z[i+3]=y[i];
	}
	return z;
}

C0Rect2Set diagonalC0Rect2Set(IVector x,IVector y,IMatrix A,IMatrix B,IVector Bx,IVector By)
{
	IVector X=CartesianProduct(x,y);
	IVector b=CartesianProduct(Bx,By);
	IMatrix C=diagonalMatrix(A,B);
	return C0Rect2Set(X,C,b);
}