#ifndef plots_h
#define plots_h

#include "capd/capdlib.h"
#include "utils.h"
#include "WuEnclosure.h"
using namespace capd::matrixAlgorithms;

void plotWs(WuEnclosure &wu2);
void plotWu(IVector p,IMatrix C1,IVector x,string fileName);
void plotWu(WuEnclosure &wu1,string fileName);
void plotWuInOriginalCoord(WuEnclosure &wu1,string fileName);
void plotWuTrajectory(IMap &f1,WuEnclosure &wu,interval x,interval T,double timeStep,string fileName);
void plotWsInOriginalCoord(WuEnclosure &wu2,string fileName);
void plotSeparatrixValueTrajectory(IMatrix P,C0Rect2Set &Yu,ITaylor &solver,interval T,double timeStep,string fileNameGamma,string fileNameEta);

#endif